{% extends "newbase.html" %}
{% load staticfiles %}
{% load rowerfilters %}

{% block title %}Workouts{% endblock %}

{% block main %}

<script>
  function toggle(source) {
  checkboxes = document.querySelectorAll("input[name='workouts']");
  for(var i=0, n=checkboxes.length;i<n;i++) {
       checkboxes[i].checked = source.checked;
  }
 }
</script>
<script src="https://code.jquery.com/jquery-1.9.1.min.js"></script>
<script>
  $(function() {

  // Get the form fields and hidden div
  var modality = $("#id_modality");
  var hidden = $("#id_waterboattype");


  // Hide the fields.
  // Use JS to do this in case the user doesn't have JS
  // enabled.

  hidden.hide();



  // Setup an event listener for when the state of the
  // checkbox changes.
  modality.change(function() {
    // Check to see if the checkbox is checked.
    // If it is, show the fields and populate the input.
  // If not, hide the fields.
    var Value = modality.val();
    if (Value=='water') {
  // Show the hidden fields.
  hidden.show();
  } else {
  // Make sure that the hidden fields are indeed
  // hidden.
  hidden.hide();

      // You may also want to clear the value of the
      // hidden fields here. Just in case somebody
      // shows the fields, enters data to them and then
      // unticks the checkbox.
      //
      // This would do the job:
      //
      // $("#hidden_field").val("");
    }
  });


  });

$(document).ready(function(){
	console.log('kill parents')
	$("#id_killparents").change(function() {
		if (this.checked) {
			$("#id_killparentswarning").html("<p><em>Warning: Deleted workouts cannot be recovered</em></p>");
	};

});
});
</script>




<h1>{{ team.name }} Glue Workouts</h1>

<ul class="main-content">
  <li class="grid_4 maxheight">
    {% if team %}
    <form id="searchform" action="/rowers/workouts-join-select/team/{{ team.id }}/"
          method="get" accept-charset="utf-8">
      {% else %}
      <form id="searchform" action="/rowers/workouts-join-select/"
            method="get" accept-charset="utf-8">
	{% endif %}
	{{ searchform }}
	<input type="submit" value="GO"></input>
      </form>
  </li>
  <li class="grid_2 maxheight">
    <form enctype="multipart/form-data" action="/rowers/workouts-join/" method="post">
      {% if workouts %}

      <input type="checkbox" onClick="toggle(this)" /> Toggle All<br/>

      <table width="100%" class="listtable">
        {{ form.as_table }}
      </table>

      {% else %}
      <p> No workouts found </p>
      {% endif %}
  </li>
  <li class="grid_2">
    <p>Select two or more workouts on the left,
      and press submit. Be careful with the "delete original workouts" option. Deleted
		workouts cannot be recovered.</p>
    <table>
      {{ joinparamform.as_table }}
    </table>
		<div id="id_killparentswarning">

			</div>
    <p>
      {% csrf_token %}
      <input name='workoutselectform' type="submit" value="Submit">
    </p>
  </form>
</li>
<li class="grid_2">
  <form enctype="multipart/form-data" action="" method="post">
    <table>
      {{ dateform.as_table }}
    </table>
    <table>
      {{ modalityform.as_table }}
    </table>
    <p>
      {% csrf_token %}
      <input name='modalityform' type="submit" value="Filter Workouts">
    </p>
  </form>
</li>
</ul>


{% endblock %}



{% block sidebar %}
{% include 'menu_workouts.html' %}
{% endblock %}
